#!/usr/bin/perl -w

################################################################################
# Name:        GetUserName.cgi
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Read the system files to get the User Comment field
# Copyright:   GPL
################################################################################

local %UserNames ;
local @UserIds ;
push(@INC,".." );
require "adminDB.pm" ;
use CGI;

$Query = new CGI ;
print $Query->header(-expires=>'+1h');
print $Query->start_html(-title=>'Userlist',
                         -author=>'rv33100@glaxowellcome.co.uk',
                         -script=>{ -language => 'JavaScript',
                                    -src=>'./GetUserName.js' },
                        );
print $Query->start_multipart_form(-name=>'UserList'
                                   );
$UsrId = $Query->param('UsrId') ;
$UsrName = $Query->param('UsrName') ;
while ( ($SysUsrId,$SysUsrName) = (getpwent)[0,$NR_UserName] ) {
      $SysUsrName =~ s/,.*$// ;
      if ( defined($UsrId) ) {
         if ( $SysUsrId =~ m/$UsrId/) {
            push(@UserIds,$SysUsrId) ;
            $UserNames{$SysUsrId} = $SysUsrName ;
         }
      } elsif ( defined($UsrName) ) {
         if ( $SysUsrName =~ m/^$UsrName/i) {
            push(@UserIds,$SysUsrId) ;
            $UserNames{$SysUsrId} = $SysUsrName ;
         }
      }
}
if ( $#UserIds > 1 ) {
   print $Query->scrolling_list(-name=>'Ids_Names',
                                -values=>\@UserIds,
                                -labels=>\%UserNames,
                                -onChange=>"SendSelected();",
                                -size=>5,
                               );
} else {
  print "Only 1 found" ;
  print "$UserIds[0] ==> $UserNames{$UserIds[0]}" ;
  printf("<SCRIPT Language='JavaScript'> Send('%s','%s');</SCRIPT>",$UserIds[0],$UserNames{$UserIds[0]});
}
print $Query->endform();
print $Query->end_html();
